<template>
  <div class="admin-create-page">
    <h1>Create page</h1>
    <client-only>
      <Form v-model="page" />
    </client-only>
  </div>
</template>

<script lang="ts">
import { defineComponent } from '@nuxtjs/composition-api'
import Form from '@/components/admin/pages/Form.vue'

import { FullPageFragment } from '@/sdk/types'

export default defineComponent({
  name: 'AdminCreatePage',
  components: { Form },
  setup() {
    const page: Omit<FullPageFragment, 'id' | '__typename'> = {
      name: '',
      slug: '',
      pages_contents: [],
      active: true
    }
    return { page }
  }
})
</script>
